# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "<stdin>"
module double_mod
  implicit none
  integer, parameter :: wp = selected_real_kind(10,50)
  real(kind=wp),parameter :: pi=3.1415926536
  contains
  real(kind=wp) function distance_b(s2_x,s2_z,q_x,q_z)
    real(kind=wp) :: s2_x,s2_z,q_x,q_z
    distance_b=(s2_x-q_x)**2+(s2_z-q_z)**2
  end function
end module
